Manifest-Version: 1.0
Bnd-LastModified: 1754080552927
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Object Service
Bundle-SymbolicName: com.liferay.object.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 1.0.167.hotfix-6834-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.account.model;version="5.5",com.liferay.account.service;version="1
 0.2",com.liferay.asset.kernel.model;version="10.0",com.liferay.asset.
 kernel.service;version="10.0",com.liferay.counter.kernel.service;vers
 ion="2.2",com.liferay.document.library.kernel.model;version="8.2",com
 .liferay.document.library.kernel.service;version="14.0",com.liferay.d
 ocument.library.kernel.util;version="10.0",com.liferay.dynamic.data.m
 apping.expression;version="5.0",com.liferay.dynamic.data.mapping.mode
 l;version="7.1",com.liferay.dynamic.data.mapping.util;version="8.0",c
 om.liferay.expando.kernel.model;version="6.0",com.liferay.expando.ker
 nel.util;version="5.0",com.liferay.exportimport.kernel.lar;version="5
 .0",com.liferay.fragment.model;version="3.4",com.liferay.frontend.dat
 a.set.filter;version="7.0",com.liferay.frontend.taglib.servlet.taglib
 ;version="8.3",com.liferay.headless.admin.user.dto.v1_0;version="8.8"
 ,com.liferay.headless.admin.user.resource.v1_0;version="11.7",com.lif
 eray.info.collection.provider;version="4.0",com.liferay.info.item.sel
 ector;version="2.0",com.liferay.info.pagination;version="1.1",com.lif
 eray.item.selector;version="4.10",com.liferay.item.selector.criteria;
 version="2.4",com.liferay.item.selector.criteria.info.item.criterion;
 version="2.1",com.liferay.layout.model;version="2.4",com.liferay.layo
 ut.service;version="3.0",com.liferay.list.type.model;version="2.3",co
 m.liferay.list.type.service;version="7.2",com.liferay.notification.co
 ntext;version="2.0",com.liferay.notification.handler;version="1.0",co
 m.liferay.notification.model;version="4.2",com.liferay.notification.s
 ervice;version="8.3",com.liferay.notification.term.evaluator;version=
 "2.0",com.liferay.notification.type;version="8.1",com.liferay.object.
 action.engine;version="3.0",com.liferay.object.action.executor;versio
 n="6.0",com.liferay.object.action.trigger;version="2.0",com.liferay.o
 bject.configuration;version="1.0",com.liferay.object.constants;versio
 n="7.7",com.liferay.object.definition.notification.term.util;version=
 "1.0",com.liferay.object.definition.tree;version="1.0",com.liferay.ob
 ject.deployer;version="1.1",com.liferay.object.dynamic.data.mapping.e
 xpression;version="1.0",com.liferay.object.entry.util;version="2.3",c
 om.liferay.object.exception;version="21.0",com.liferay.object.field.b
 uilder;version="2.4",com.liferay.object.field.business.type;version="
 8.1",com.liferay.object.field.filter.parser;version="6.0",com.liferay
 .object.field.render;version="2.0",com.liferay.object.field.setting.u
 til;version="1.2",com.liferay.object.field.util;version="3.2",com.lif
 eray.object.model;version="8.4",com.liferay.object.model.listener;ver
 sion="1.0",com.liferay.object.petra.sql.dsl;version="2.1",com.liferay
 .object.related.models;version="6.1",com.liferay.object.relationship.
 util;version="1.2",com.liferay.object.rest.context.path;version="1.0"
 ,com.liferay.object.rest.dto.v1_0;version="1.6",com.liferay.object.re
 st.filter.factory;version="2.0",com.liferay.object.rest.manager.v1_0;
 version="12.2",com.liferay.object.scope;version="1.1",com.liferay.obj
 ect.scripting.exception;version="2.0",com.liferay.object.scripting.ex
 ecutor;version="2.0",com.liferay.object.scripting.validator;version="
 1.0",com.liferay.object.service;version="49.0",com.liferay.object.ser
 vice.persistence;version="6.8",com.liferay.object.system;version="16.
 1",com.liferay.object.validation.rule;version="5.0",com.liferay.osgi.
 service.tracker.collections;version="2.0",com.liferay.osgi.service.tr
 acker.collections.list;version="3.0",com.liferay.osgi.service.tracker
 .collections.map;version="2.3",com.liferay.osgi.util;version="2.3",co
 m.liferay.osgi.util.configuration;version="1.3",com.liferay.osgi.util
 .service;version="3.1",com.liferay.petra.function;version="1.5",com.l
 iferay.petra.function.transform;version="1.3",com.liferay.petra.lang;
 version="1.3",com.liferay.petra.reflect;version="1.5",com.liferay.pet
 ra.sql.dsl;version="1.2",com.liferay.petra.sql.dsl.base;version="1.0"
 ,com.liferay.petra.sql.dsl.expression;version="2.0",com.liferay.petra
 .sql.dsl.query;version="2.0",com.liferay.petra.sql.dsl.query.sort;ver
 sion="1.0",com.liferay.petra.sql.dsl.spi.expression;version="2.0",com
 .liferay.petra.string;version="1.7",com.liferay.portal.aop;version="1
 .0",com.liferay.portal.catapult;version="2.0",com.liferay.portal.conf
 iguration.metatype.bnd.util;version="3.0",com.liferay.portal.dao.jdbc
 .postgresql,com.liferay.portal.dao.orm.common,com.liferay.portal.inst
 ance.lifecycle;version="3.1",com.liferay.portal.json,com.liferay.port
 al.kernel.audit;version="8.0",com.liferay.portal.kernel.bean;version=
 "10.1",com.liferay.portal.kernel.cache;version="14.0",com.liferay.por
 tal.kernel.change.tracking;version="2.2",com.liferay.portal.kernel.cl
 uster;version="9.0",com.liferay.portal.kernel.configuration;version="
 7.0",com.liferay.portal.kernel.dao.db;version="14.0",com.liferay.port
 al.kernel.dao.jdbc;version="9.0",com.liferay.portal.kernel.dao.orm;ve
 rsion="12.0",com.liferay.portal.kernel.dao.search;version="9.0",com.l
 iferay.portal.kernel.dependency.manager;version="3.0",com.liferay.por
 tal.kernel.encryptor;version="1.0",com.liferay.portal.kernel.exceptio
 n;version="13.3",com.liferay.portal.kernel.feature.flag;version="1.0"
 ,com.liferay.portal.kernel.json;version="12.1",com.liferay.portal.ker
 nel.language;version="11.0",com.liferay.portal.kernel.log;version="8.
 0",com.liferay.portal.kernel.messaging;version="17.0",com.liferay.por
 tal.kernel.model;version="30.4",com.liferay.portal.kernel.model.impl;
 version="7.4",com.liferay.portal.kernel.module.framework.service;vers
 ion="1.0",com.liferay.portal.kernel.portlet;version="26.0",com.lifera
 y.portal.kernel.portlet.url.builder;version="2.0",com.liferay.portal.
 kernel.portletfilerepository;version="5.0",com.liferay.portal.kernel.
 repository.model;version="11.2",com.liferay.portal.kernel.resource.bu
 ndle;version="1.0",com.liferay.portal.kernel.sanitizer;version="8.0",
 com.liferay.portal.kernel.scripting;version="9.0",com.liferay.portal.
 kernel.search;version="20.2",com.liferay.portal.kernel.search.facet;v
 ersion="9.0",com.liferay.portal.kernel.search.facet.util;version="7.0
 ",com.liferay.portal.kernel.search.filter;version="1.0",com.liferay.p
 ortal.kernel.search.generic;version="3.0",com.liferay.portal.kernel.s
 ecurity.auth;version="6.1",com.liferay.portal.kernel.security.permiss
 ion;version="7.0",com.liferay.portal.kernel.security.permission.resou
 rce;version="2.3",com.liferay.portal.kernel.service;version="25.1",co
 m.liferay.portal.kernel.service.http;version="1.0",com.liferay.portal
 .kernel.service.persistence;version="22.1",com.liferay.portal.kernel.
 service.persistence.impl;version="4.1",com.liferay.portal.kernel.sett
 ings;version="5.0",com.liferay.portal.kernel.systemevent;version="6.2
 ",com.liferay.portal.kernel.theme;version="10.5",com.liferay.portal.k
 ernel.transaction;version="8.1",com.liferay.portal.kernel.upgrade;ver
 sion="21.2",com.liferay.portal.kernel.upgrade.util;version="12.0",com
 .liferay.portal.kernel.util;version="63.0",com.liferay.portal.kernel.
 uuid;version="6.2",com.liferay.portal.kernel.workflow;version="21.0",
 com.liferay.portal.kernel.xml;version="7.1",com.liferay.portal.langua
 ge,com.liferay.portal.language.override.model;version="2.1",com.lifer
 ay.portal.language.override.service;version="1.4",com.liferay.portal.
 odata.filter;version="1.1",com.liferay.portal.search.batch;version="2
 .0",com.liferay.portal.search.document;version="1.2",com.liferay.port
 al.search.hits;version="2.1",com.liferay.portal.search.query;version=
 "1.7",com.liferay.portal.search.searcher;version="2.0",com.liferay.po
 rtal.search.sort;version="2.0",com.liferay.portal.search.spi.model.in
 dex.contributor;version="1.2",com.liferay.portal.search.spi.model.ind
 ex.contributor.helper;version="1.0",com.liferay.portal.search.spi.mod
 el.query.contributor;version="1.1",com.liferay.portal.search.spi.mode
 l.query.contributor.helper;version="2.0",com.liferay.portal.search.sp
 i.model.registrar;version="2.1",com.liferay.portal.search.spi.model.r
 egistrar.contributor;version="1.0",com.liferay.portal.search.spi.mode
 l.result.contributor;version="1.1",com.liferay.portal.search.spi.sett
 ings;version="1.0",com.liferay.portal.security.audit.event.generators
 .util;version="2.1",com.liferay.portal.security.service.access.policy
 .model;version="3.1",com.liferay.portal.security.service.access.polic
 y.service;version="1.6",com.liferay.portal.upgrade.registry;version="
 5.0",com.liferay.portal.util;version="52.0",com.liferay.portal.vulcan
 .dto.converter;version="4.0",com.liferay.portal.vulcan.extension;vers
 ion="4.2",com.liferay.portal.vulcan.util;version="11.3",com.liferay.u
 ser.associated.data.anonymizer;version="1.3",com.liferay.user.associa
 ted.data.display;version="2.2",com.liferay.user.associated.data.expor
 ter;version="3.0",com.liferay.user.associated.data.util;version="1.0"
 ,javax.crypto.spec,javax.portlet,javax.servlet,javax.servlet.http,jav
 ax.sql,javax.ws.rs.core;version="2.1",org.apache.commons.io;version="
 1.4",org.osgi.framework;version="1.8",org.osgi.service.component;vers
 ion="1.4",org.osgi.util.tracker;version="1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Client-Extension-Batch: com/liferay/object/internal/batch
Liferay-Releng-App-Title: Liferay Object
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 7.1.0
Liferay-Service: true
Private-Package: com.liferay.object.internal.action.engine,com.liferay
 .object.internal.action.executor,com.liferay.object.internal.action.t
 rigger,com.liferay.object.internal.action.trigger.messaging,com.lifer
 ay.object.internal.action.trigger.util,com.liferay.object.internal.ac
 tion.util,com.liferay.object.internal.batch,com.liferay.object.intern
 al.configuration,com.liferay.object.internal.dao.db,com.liferay.objec
 t.internal.definition.tree,com.liferay.object.internal.definition.uti
 l,com.liferay.object.internal.deployer,com.liferay.object.internal.dy
 namic.data.mapping.expression,com.liferay.object.internal.entry.util,
 com.liferay.object.internal.field.business.type,com.liferay.object.in
 ternal.field.filter.parser,com.liferay.object.internal.field.setting.
 contributor,com.liferay.object.internal.filter.parser,com.liferay.obj
 ect.internal.info.collection.provider,com.liferay.object.internal.ins
 tance.lifecycle,com.liferay.object.internal.item.selector,com.liferay
 .object.internal.layout.tab.screen.navigation.category,com.liferay.ob
 ject.internal.model.listener,com.liferay.object.internal.notification
 .handler,com.liferay.object.internal.notification.term.contributor,co
 m.liferay.object.internal.petra.sql.dsl,com.liferay.object.internal.r
 elated.models,com.liferay.object.internal.rest.context.path,com.lifer
 ay.object.internal.scope,com.liferay.object.internal.search,com.lifer
 ay.object.internal.search.spi.model.index.contributor,com.liferay.obj
 ect.internal.search.spi.model.query.contributor,com.liferay.object.in
 ternal.search.spi.model.result.contributor,com.liferay.object.interna
 l.search.spi.settings,com.liferay.object.internal.search.spi.settings
 .dependencies,com.liferay.object.internal.security.permission.resourc
 e,com.liferay.object.internal.security.permission.resource.util,com.l
 iferay.object.internal.system,com.liferay.object.internal.system.mode
 l.listener,com.liferay.object.internal.uad.anonymizer,com.liferay.obj
 ect.internal.uad.constants,com.liferay.object.internal.uad.display,co
 m.liferay.object.internal.uad.exporter,com.liferay.object.internal.ua
 d.util,com.liferay.object.internal.upgrade.registry,com.liferay.objec
 t.internal.upgrade.v1_2_0.util,com.liferay.object.internal.upgrade.v2
 _1_0,com.liferay.object.internal.upgrade.v2_2_0.util,com.liferay.obje
 ct.internal.upgrade.v2_3_0.util,com.liferay.object.internal.upgrade.v
 2_4_0.util,com.liferay.object.internal.upgrade.v3_13_0,com.liferay.ob
 ject.internal.upgrade.v3_17_0.util,com.liferay.object.internal.upgrad
 e.v3_18_0,com.liferay.object.internal.upgrade.v3_19_0.util,com.lifera
 y.object.internal.upgrade.v3_19_2,com.liferay.object.internal.upgrade
 .v3_19_3,com.liferay.object.internal.upgrade.v3_1_0,com.liferay.objec
 t.internal.upgrade.v3_21_0,com.liferay.object.internal.upgrade.v3_22_
 0,com.liferay.object.internal.upgrade.v3_23_1,com.liferay.object.inte
 rnal.upgrade.v3_24_0,com.liferay.object.internal.upgrade.v3_26_0,com.
 liferay.object.internal.upgrade.v3_27_0,com.liferay.object.internal.u
 pgrade.v3_27_1,com.liferay.object.internal.upgrade.v3_3_0.util,com.li
 feray.object.internal.upgrade.v3_5_0,com.liferay.object.internal.upgr
 ade.v3_6_0,com.liferay.object.internal.upgrade.v3_9_0,com.liferay.obj
 ect.internal.upgrade.v4_1_0,com.liferay.object.internal.upgrade.v4_1_
 1,com.liferay.object.internal.upgrade.v5_0_0,com.liferay.object.inter
 nal.upgrade.v5_1_0,com.liferay.object.internal.upgrade.v5_1_1,com.lif
 eray.object.internal.upgrade.v5_2_0,com.liferay.object.internal.upgra
 de.v5_3_0,com.liferay.object.internal.upgrade.v5_3_1,com.liferay.obje
 ct.internal.upgrade.v6_0_0,com.liferay.object.internal.upgrade.v6_0_0
 .util,com.liferay.object.internal.upgrade.v7_0_0,com.liferay.object.i
 nternal.upgrade.v7_0_0.util,com.liferay.object.internal.upgrade.v7_1_
 0,com.liferay.object.internal.validation.rule,com.liferay.object.inte
 rnal.workflow,com.liferay.object.model.impl,com.liferay.object.servic
 e.base,com.liferay.object.service.http,com.liferay.object.service.imp
 l,com.liferay.object.service.persistence.impl,com.liferay.object.serv
 ice.persistence.impl.constants,resource-actions
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .object.action.engine.ObjectActionEngine";uses:="com.liferay.object.a
 ction.engine",osgi.service;objectClass:List<String>="com.liferay.obje
 ct.action.executor.ObjectActionExecutor";uses:="com.liferay.object.ac
 tion.executor",osgi.service;objectClass:List<String>="com.liferay.obj
 ect.action.executor.ObjectActionExecutorRegistry";uses:="com.liferay.
 object.action.executor",osgi.service;objectClass:List<String>="com.li
 feray.object.action.trigger.ObjectActionTriggerRegistry";uses:="com.l
 iferay.object.action.trigger",osgi.service;objectClass:List<String>="
 com.liferay.object.definition.tree.TreeFactory";uses:="com.liferay.ob
 ject.definition.tree",osgi.service;objectClass:List<String>="com.life
 ray.object.field.business.type.ObjectFieldBusinessType";uses:="com.li
 feray.object.field.business.type",osgi.service;objectClass:List<Strin
 g>="com.liferay.object.field.business.type.ObjectFieldBusinessTypeReg
 istry";uses:="com.liferay.object.field.business.type",osgi.service;ob
 jectClass:List<String>="com.liferay.object.field.filter.parser.Object
 FieldFilterContributor";uses:="com.liferay.object.field.filter.parser
 ",osgi.service;objectClass:List<String>="com.liferay.object.field.fil
 ter.parser.ObjectFieldFilterContributorRegistry";uses:="com.liferay.o
 bject.field.filter.parser",osgi.service;objectClass:List<String>="com
 .liferay.object.internal.field.setting.contributor.ObjectFieldSetting
 Contributor";uses:="com.liferay.object.internal.field.setting.contrib
 utor",osgi.service;objectClass:List<String>="com.liferay.object.inter
 nal.field.setting.contributor.ObjectFieldSettingContributorRegistry";
 uses:="com.liferay.object.internal.field.setting.contributor",osgi.se
 rvice;objectClass:List<String>="com.liferay.object.internal.filter.pa
 rser.ObjectFilterParser";uses:="com.liferay.object.internal.filter.pa
 rser",osgi.service;objectClass:List<String>="com.liferay.object.inter
 nal.filter.parser.ObjectFilterParserServiceRegistry";uses:="com.lifer
 ay.object.internal.filter.parser",osgi.service;objectClass:List<Strin
 g>="com.liferay.object.internal.info.collection.provider.RelatedInfoC
 ollectionProviderFactory";uses:="com.liferay.object.internal.info.col
 lection.provider",osgi.service;objectClass:List<String>="com.liferay.
 object.related.models.ObjectRelatedModelsPredicateProviderRegistry";u
 ses:="com.liferay.object.related.models",osgi.service;objectClass:Lis
 t<String>="com.liferay.object.related.models.ObjectRelatedModelsProvi
 derRegistry";uses:="com.liferay.object.related.models",osgi.service;o
 bjectClass:List<String>="com.liferay.object.rest.context.path.RESTCon
 textPathResolverRegistry";uses:="com.liferay.object.rest.context.path
 ",osgi.service;objectClass:List<String>="com.liferay.object.scope.Obj
 ectScopeProvider";uses:="com.liferay.object.scope",osgi.service;objec
 tClass:List<String>="com.liferay.object.scope.ObjectScopeProviderRegi
 stry";uses:="com.liferay.object.scope",osgi.service;objectClass:List<
 String>="com.liferay.object.service.persistence.ObjectActionPersisten
 ce";uses:="com.liferay.object.service.persistence",osgi.service;objec
 tClass:List<String>="com.liferay.object.service.persistence.ObjectDef
 initionPersistence";uses:="com.liferay.object.service.persistence",os
 gi.service;objectClass:List<String>="com.liferay.object.service.persi
 stence.ObjectEntryPersistence";uses:="com.liferay.object.service.pers
 istence",osgi.service;objectClass:List<String>="com.liferay.object.se
 rvice.persistence.ObjectFieldPersistence";uses:="com.liferay.object.s
 ervice.persistence",osgi.service;objectClass:List<String>="com.lifera
 y.object.service.persistence.ObjectFieldSettingPersistence";uses:="co
 m.liferay.object.service.persistence",osgi.service;objectClass:List<S
 tring>="com.liferay.object.service.persistence.ObjectFilterPersistenc
 e";uses:="com.liferay.object.service.persistence",osgi.service;object
 Class:List<String>="com.liferay.object.service.persistence.ObjectFold
 erPersistence";uses:="com.liferay.object.service.persistence",osgi.se
 rvice;objectClass:List<String>="com.liferay.object.service.persistenc
 e.ObjectLayoutBoxPersistence";uses:="com.liferay.object.service.persi
 stence",osgi.service;objectClass:List<String>="com.liferay.object.ser
 vice.persistence.ObjectLayoutColumnPersistence";uses:="com.liferay.ob
 ject.service.persistence",osgi.service;objectClass:List<String>="com.
 liferay.object.service.persistence.ObjectLayoutPersistence";uses:="co
 m.liferay.object.service.persistence",osgi.service;objectClass:List<S
 tring>="com.liferay.object.service.persistence.ObjectLayoutRowPersist
 ence";uses:="com.liferay.object.service.persistence",osgi.service;obj
 ectClass:List<String>="com.liferay.object.service.persistence.ObjectL
 ayoutTabPersistence";uses:="com.liferay.object.service.persistence",o
 sgi.service;objectClass:List<String>="com.liferay.object.service.pers
 istence.ObjectRelationshipPersistence";uses:="com.liferay.object.serv
 ice.persistence",osgi.service;objectClass:List<String>="com.liferay.o
 bject.service.persistence.ObjectStateFlowPersistence";uses:="com.life
 ray.object.service.persistence",osgi.service;objectClass:List<String>
 ="com.liferay.object.service.persistence.ObjectStatePersistence";uses
 :="com.liferay.object.service.persistence",osgi.service;objectClass:L
 ist<String>="com.liferay.object.service.persistence.ObjectStateTransi
 tionPersistence";uses:="com.liferay.object.service.persistence",osgi.
 service;objectClass:List<String>="com.liferay.object.service.persiste
 nce.ObjectValidationRulePersistence";uses:="com.liferay.object.servic
 e.persistence",osgi.service;objectClass:List<String>="com.liferay.obj
 ect.service.persistence.ObjectValidationRuleSettingPersistence";uses:
 ="com.liferay.object.service.persistence",osgi.service;objectClass:Li
 st<String>="com.liferay.object.service.persistence.ObjectViewColumnPe
 rsistence";uses:="com.liferay.object.service.persistence",osgi.servic
 e;objectClass:List<String>="com.liferay.object.service.persistence.Ob
 jectViewFilterColumnPersistence";uses:="com.liferay.object.service.pe
 rsistence",osgi.service;objectClass:List<String>="com.liferay.object.
 service.persistence.ObjectViewPersistence";uses:="com.liferay.object.
 service.persistence",osgi.service;objectClass:List<String>="com.lifer
 ay.object.service.persistence.ObjectViewSortColumnPersistence";uses:=
 "com.liferay.object.service.persistence",osgi.service;objectClass:Lis
 t<String>="com.liferay.object.system.SystemObjectDefinitionManager";u
 ses:="com.liferay.object.system",osgi.service;objectClass:List<String
 >="com.liferay.object.system.SystemObjectDefinitionManagerRegistry";u
 ses:="com.liferay.object.system",osgi.service;objectClass:List<String
 >="com.liferay.object.validation.rule.ObjectValidationRuleEngine";use
 s:="com.liferay.object.validation.rule",osgi.service;objectClass:List
 <String>="com.liferay.object.validation.rule.ObjectValidationRuleEngi
 neRegistry";uses:="com.liferay.object.validation.rule",osgi.service;o
 bjectClass:List<String>="com.liferay.portal.aop.AopService";uses:="co
 m.liferay.portal.aop",osgi.service;objectClass:List<String>="com.life
 ray.portal.instance.lifecycle.PortalInstanceLifecycleListener";uses:=
 "com.liferay.portal.instance.lifecycle",osgi.service;objectClass:List
 <String>="com.liferay.portal.kernel.dao.orm.ArgumentsResolver";uses:=
 "com.liferay.portal.kernel.dao.orm",osgi.service;objectClass:List<Str
 ing>="com.liferay.portal.kernel.messaging.MessageListener";uses:="com
 .liferay.portal.kernel.messaging",osgi.service;objectClass:List<Strin
 g>="com.liferay.portal.kernel.model.ModelListener";uses:="com.liferay
 .portal.kernel.model",osgi.service;objectClass:List<String>="com.life
 ray.portal.kernel.search.DocumentContributor";uses:="com.liferay.port
 al.kernel.search",osgi.service;objectClass:List<String>="com.liferay.
 portal.kernel.security.permission.resource.ModelResourcePermission";u
 ses:="com.liferay.portal.kernel.security.permission.resource",osgi.se
 rvice;objectClass:List<String>="com.liferay.portal.kernel.security.pe
 rmission.resource.PortletResourcePermission";uses:="com.liferay.porta
 l.kernel.security.permission.resource",osgi.service;objectClass:List<
 String>="com.liferay.portal.search.spi.model.index.contributor.ModelD
 ocumentContributor";uses:="com.liferay.portal.search.spi.model.index.
 contributor",osgi.service;objectClass:List<String>="com.liferay.porta
 l.search.spi.model.index.contributor.ModelIndexerWriterContributor";u
 ses:="com.liferay.portal.search.spi.model.index.contributor",osgi.ser
 vice;objectClass:List<String>="com.liferay.portal.search.spi.model.qu
 ery.contributor.KeywordQueryContributor";uses:="com.liferay.portal.se
 arch.spi.model.query.contributor",osgi.service;objectClass:List<Strin
 g>="com.liferay.portal.search.spi.model.query.contributor.ModelPreFil
 terContributor";uses:="com.liferay.portal.search.spi.model.query.cont
 ributor",osgi.service;objectClass:List<String>="com.liferay.portal.se
 arch.spi.settings.IndexSettingsContributor";uses:="com.liferay.portal
 .search.spi.settings",osgi.service;objectClass:List<String>="com.life
 ray.portal.upgrade.registry.UpgradeStepRegistrator";uses:="com.lifera
 y.portal.upgrade.registry",osgi.service;objectClass:List<String>="org
 .osgi.service.component.ComponentFactory";component.factory="com.life
 ray.object.internal.validation.rule.FunctionObjectValidationRuleEngin
 eImpl",osgi.service;objectClass:List<String>="com.liferay.object.serv
 ice.ObjectActionLocalService",osgi.service;objectClass:List<String>="
 com.liferay.object.service.ObjectActionService",osgi.service;objectCl
 ass:List<String>="com.liferay.object.service.ObjectDefinitionLocalSer
 vice",osgi.service;objectClass:List<String>="com.liferay.object.servi
 ce.ObjectDefinitionService",osgi.service;objectClass:List<String>="co
 m.liferay.object.service.ObjectEntryLocalService",osgi.service;object
 Class:List<String>="com.liferay.object.service.ObjectEntryService",os
 gi.service;objectClass:List<String>="com.liferay.object.service.Objec
 tFieldLocalService",osgi.service;objectClass:List<String>="com.lifera
 y.object.service.ObjectFieldService",osgi.service;objectClass:List<St
 ring>="com.liferay.object.service.ObjectFieldSettingLocalService",osg
 i.service;objectClass:List<String>="com.liferay.object.service.Object
 FilterLocalService",osgi.service;objectClass:List<String>="com.lifera
 y.object.service.ObjectFolderLocalService",osgi.service;objectClass:L
 ist<String>="com.liferay.object.service.ObjectFolderService",osgi.ser
 vice;objectClass:List<String>="com.liferay.object.service.ObjectLayou
 tLocalService",osgi.service;objectClass:List<String>="com.liferay.obj
 ect.service.ObjectLayoutService",osgi.service;objectClass:List<String
 >="com.liferay.object.service.ObjectLayoutTabLocalService",osgi.servi
 ce;objectClass:List<String>="com.liferay.object.service.ObjectLayoutT
 abService",osgi.service;objectClass:List<String>="com.liferay.object.
 service.ObjectRelationshipLocalService",osgi.service;objectClass:List
 <String>="com.liferay.object.service.ObjectRelationshipService",osgi.
 service;objectClass:List<String>="com.liferay.object.service.ObjectSt
 ateFlowLocalService",osgi.service;objectClass:List<String>="com.lifer
 ay.object.service.ObjectStateLocalService",osgi.service;objectClass:L
 ist<String>="com.liferay.object.service.ObjectStateTransitionLocalSer
 vice",osgi.service;objectClass:List<String>="com.liferay.object.servi
 ce.ObjectValidationRuleLocalService",osgi.service;objectClass:List<St
 ring>="com.liferay.object.service.ObjectValidationRuleService",osgi.s
 ervice;objectClass:List<String>="com.liferay.object.service.ObjectVal
 idationRuleSettingLocalService",osgi.service;objectClass:List<String>
 ="com.liferay.object.service.ObjectViewColumnService",osgi.service;ob
 jectClass:List<String>="com.liferay.object.service.ObjectViewFilterCo
 lumnLocalService",osgi.service;objectClass:List<String>="com.liferay.
 object.service.ObjectViewLocalService",osgi.service;objectClass:List<
 String>="com.liferay.object.service.ObjectViewService"
Require-Capability: osgi.service;filter:="(&(objectClass=org.osgi.serv
 ice.component.ComponentFactory)(component.factory=com.liferay.object.
 internal.validation.rule.FunctionObjectValidationRuleEngineImpl))";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.accoun
 t.service.AccountEntryLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.account.service.AccountEntryOrganiza
 tionRelLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.asset.kernel.service.AssetEntryLocalService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.asset.ker
 nel.service.AssetLinkLocalService)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.counter.kernel.service.CounterLocalSe
 rvice)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.document.library.kernel.service.DLAppLocalService)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.document.library.
 kernel.service.DLFileEntryLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.document.library.kernel.service.
 DLFolderLocalService)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.dynamic.data.mapping.expression.DDMExpressionFacto
 ry)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .headless.admin.user.resource.v1_0.UserAccountResource$Factory)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.item.sel
 ector.ItemSelector)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.item.selector.ItemSelectorViewDescriptorRenderer)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.layou
 t.service.LayoutClassedModelUsageLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.list.type.service.ListTyp
 eDefinitionLocalService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.list.type.service.ListTypeEntryLocalService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.notif
 ication.service.NotificationTemplateLocalService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.notification.type.Noti
 ficationTypeServiceTracker)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.object.action.engine.ObjectActionEngine)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.object
 .action.executor.ObjectActionExecutorRegistry)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.object.field.business.typ
 e.ObjectFieldBusinessTypeRegistry)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.object.field.filter.parser.ObjectFiel
 dFilterContributorRegistry)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.object.internal.field.setting.contributor.Ob
 jectFieldSettingContributorRegistry)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.object.internal.filter.parser.Objec
 tFilterParserServiceRegistry)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.object.internal.info.collection.provider.R
 elatedInfoCollectionProviderFactory)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.object.related.models.ObjectRelated
 ModelsProviderRegistry)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.object.rest.filter.factory.FilterFactory)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.object.re
 st.manager.v1_0.ObjectEntryManagerRegistry)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.object.scope.ObjectScopeProv
 iderRegistry)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.object.scripting.executor.ObjectScriptingExecutor)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.object.scr
 ipting.validator.ObjectScriptingValidator)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.object.service.ObjectActionLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.object.service.ObjectDefinitionLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.object.service.Obj
 ectEntryLocalService)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.object.service.ObjectEntryService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.object.service.Obj
 ectFieldLocalService)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.object.service.ObjectFieldSettingLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.object
 .service.ObjectFilterLocalService)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.object.service.ObjectFolderLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .object.service.ObjectLayoutLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.object.service.ObjectLayoutTab
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.object.service.ObjectRelationshipLocalService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.object.service
 .ObjectStateFlowLocalService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.object.service.ObjectStateLocalService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.objec
 t.service.ObjectStateTransitionLocalService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.object.service.ObjectValida
 tionRuleLocalService)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.object.service.ObjectValidationRuleSettingLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.object.service.ObjectViewFilterColumnLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.object.service.Obj
 ectViewLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.object.service.persistence.ObjectActionPersistence)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.ob
 ject.service.persistence.ObjectDefinitionPersistence)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.object.service.per
 sistence.ObjectEntryPersistence)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.object.service.persistence.ObjectFieldP
 ersistence)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.object.service.persistence.ObjectFieldSettingPersistence)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.objec
 t.service.persistence.ObjectFilterPersistence)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.object.service.persistenc
 e.ObjectFolderPersistence)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.object.service.persistence.ObjectLayoutBoxPer
 sistence)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.object.service.persistence.ObjectLayoutColumnPersistence)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.object.
 service.persistence.ObjectLayoutPersistence)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.object.service.persistence.
 ObjectLayoutRowPersistence)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.object.service.persistence.ObjectLayoutTabPe
 rsistence)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.object.service.persistence.ObjectRelationshipPersistence)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.object
 .service.persistence.ObjectStateFlowPersistence)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.object.service.persiste
 nce.ObjectStatePersistence)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.object.service.persistence.ObjectStateTransi
 tionPersistence)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.object.service.persistence.ObjectValidationRulePersiste
 nce)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.object.service.persistence.ObjectValidationRuleSettingPersistence)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.obj
 ect.service.persistence.ObjectViewColumnPersistence)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.object.service.pers
 istence.ObjectViewFilterColumnPersistence)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.object.service.persistence.Ob
 jectViewPersistence)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.object.service.persistence.ObjectViewSortColumnPers
 istence)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.object.system.SystemObjectDefinitionManagerRegistry)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.object.valida
 tion.rule.ObjectValidationRuleEngineRegistry)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.catapult.PortalCata
 pult)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.audit.AuditRouter)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.cache.MultiVMPool)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.configuration.Configuration)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.kernel.dao.jdbc.CurrentConne
 ction)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.dao.orm.EntityCache)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.dao.orm.FinderCache
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.kernel.dao.orm.SessionFactory)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.kernel.encryptor.Encryptor)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.json.JSONFactory)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.language.Language)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .messaging.DestinationFactory)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.messaging.MessageBus)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.model.Release)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.portletfilerepository.PortletFileRepo
 sitory)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.kernel.security.permission.InlineSQLHelper)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.se
 curity.permission.PermissionCheckerFactory)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.kernel.security.permi
 ssion.ResourceActions)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.security.permission.resource.ModelR
 esourcePermission)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.security.permission.resource.PortletRes
 ourcePermission)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.kernel.service.AddressLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.s
 ervice.ClassNameLocalService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.service.CompanyLocalService)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.kernel.service.GroupLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.service.ListTypeLoc
 alService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.service.OrganizationLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.se
 rvice.PersistedModelLocalServiceRegistry)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.kernel.service.PortletL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.service.ResourceActionLocalService)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kerne
 l.service.ResourceLocalService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.kernel.service.ResourcePermission
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.service.RoleLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service
 .UserGroupRoleLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.service.UserLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 kernel.service.WorkflowInstanceLinkLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.kernel.util.Http
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.kernel.util.Localization)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.kernel.util.Portal)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.uu
 id.PortalUUID)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.kernel.workflow.WorkflowInstanceManager)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.langu
 age.override.service.PLOEntryLocalService)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.portal.search.batch.DynamicQu
 eryBatchIndexingActionableFactory)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.search.query.QueryHelper)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 search.searcher.SearchRequestBuilderFactory)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.search.searcher.Sear
 cher)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.search.sort.Sorts)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.search.spi.model.index.contributor.M
 odelIndexerWriterContributor)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.search.spi.model.query.contributor.
 ModelPreFilterContributor)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.search.spi.model.registrar.ModelSearch
 RegistrarHelper)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.security.service.access.policy.service.SAPEntryL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.vulcan.dto.converter.DTOConverterRegistry)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.vulca
 n.extension.ExtensionProviderRegistry)";effective:=active,osgi.servic
 e;filter:="(objectClass=javax.sql.DataSource)";effective:=active,osgi
 .extender;filter:="(&(osgi.extender=osgi.component)(version>=1.4.0)(!
 (version>=2.0.0)))",osgi.contract;osgi.contract=JavaPortlet;filter:="
 (&(osgi.contract=JavaPortlet)(version=3.0.0))",osgi.contract;osgi.con
 tract=JavaServlet;filter:="(&(osgi.contract=JavaServlet)(version=3.1.
 0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.object.internal.action.engine.
 ObjectActionEngineImpl.xml,OSGI-INF/com.liferay.object.internal.actio
 n.executor.AddObjectEntryObjectActionExecutorImpl.xml,OSGI-INF/com.li
 feray.object.internal.action.executor.FunctionObjectActionExecutorImp
 l.xml,OSGI-INF/com.liferay.object.internal.action.executor.GroovyObje
 ctActionExecutorImpl.xml,OSGI-INF/com.liferay.object.internal.action.
 executor.NotificationTemplateObjectActionExecutorImpl.xml,OSGI-INF/co
 m.liferay.object.internal.action.executor.ObjectActionExecutorRegistr
 yImpl.xml,OSGI-INF/com.liferay.object.internal.action.executor.Update
 ObjectEntryObjectActionExecutorImpl.xml,OSGI-INF/com.liferay.object.i
 nternal.action.executor.WebhookObjectActionExecutorImpl.xml,OSGI-INF/
 com.liferay.object.internal.action.trigger.ObjectActionTriggerRegistr
 yImpl.xml,OSGI-INF/com.liferay.object.internal.action.trigger.messagi
 ng.ObjectActionDownloadTriggerMessageListener.xml,OSGI-INF/com.lifera
 y.object.internal.definition.tree.TreeFactoryImpl.xml,OSGI-INF/com.li
 feray.object.internal.field.business.type.AggregationObjectFieldBusin
 essType.xml,OSGI-INF/com.liferay.object.internal.field.business.type.
 AttachmentObjectFieldBusinessType.xml,OSGI-INF/com.liferay.object.int
 ernal.field.business.type.BooleanObjectFieldBusinessType.xml,OSGI-INF
 /com.liferay.object.internal.field.business.type.DateObjectFieldBusin
 essType.xml,OSGI-INF/com.liferay.object.internal.field.business.type.
 DateTimeObjectFieldBusinessType.xml,OSGI-INF/com.liferay.object.inter
 nal.field.business.type.DecimalObjectFieldBusinessType.xml,OSGI-INF/c
 om.liferay.object.internal.field.business.type.EncryptedObjectFieldBu
 sinessType.xml,OSGI-INF/com.liferay.object.internal.field.business.ty
 pe.FormulaObjectFieldBusinessType.xml,OSGI-INF/com.liferay.object.int
 ernal.field.business.type.IntegerObjectFieldBusinessType.xml,OSGI-INF
 /com.liferay.object.internal.field.business.type.LargeFileObjectField
 BusinessType.xml,OSGI-INF/com.liferay.object.internal.field.business.
 type.LongIntegerObjectFieldBusinessType.xml,OSGI-INF/com.liferay.obje
 ct.internal.field.business.type.LongTextObjectFieldBusinessType.xml,O
 SGI-INF/com.liferay.object.internal.field.business.type.MultiselectPi
 cklistObjectFieldBusinessType.xml,OSGI-INF/com.liferay.object.interna
 l.field.business.type.ObjectFieldBusinessTypeRegistryImpl.xml,OSGI-IN
 F/com.liferay.object.internal.field.business.type.PicklistObjectField
 BusinessType.xml,OSGI-INF/com.liferay.object.internal.field.business.
 type.PrecisionDecimalObjectFieldBusinessType.xml,OSGI-INF/com.liferay
 .object.internal.field.business.type.RelationshipObjectFieldBusinessT
 ype.xml,OSGI-INF/com.liferay.object.internal.field.business.type.Rich
 TextObjectFieldBusinessType.xml,OSGI-INF/com.liferay.object.internal.
 field.business.type.TextObjectFieldBusinessType.xml,OSGI-INF/com.life
 ray.object.internal.field.filter.parser.ListObjectFieldFilterContribu
 tor.xml,OSGI-INF/com.liferay.object.internal.field.filter.parser.Obje
 ctFieldFilterContributorRegistryImpl.xml,OSGI-INF/com.liferay.object.
 internal.field.setting.contributor.DefaultObjectFieldSettingContribut
 or.xml,OSGI-INF/com.liferay.object.internal.field.setting.contributor
 .FiltersObjectFieldSettingsContributor.xml,OSGI-INF/com.liferay.objec
 t.internal.field.setting.contributor.ObjectFieldSettingContributorReg
 istry.xml,OSGI-INF/com.liferay.object.internal.field.setting.contribu
 tor.StateFlowObjectFieldSettingContributor.xml,OSGI-INF/com.liferay.o
 bject.internal.filter.parser.CurrentUserObjectFilterParser.xml,OSGI-I
 NF/com.liferay.object.internal.filter.parser.DateRangeObjectFilterPar
 ser.xml,OSGI-INF/com.liferay.object.internal.filter.parser.EqualityOp
 eratorsObjectFilterParser.xml,OSGI-INF/com.liferay.object.internal.fi
 lter.parser.InclusionOperatorsObjectFilterParser.xml,OSGI-INF/com.lif
 eray.object.internal.filter.parser.ObjectFilterParserServiceRegistry.
 xml,OSGI-INF/com.liferay.object.internal.info.collection.provider.Rel
 atedInfoCollectionProviderFactory.xml,OSGI-INF/com.liferay.object.int
 ernal.instance.lifecycle.SAPEntryPortalInstanceLifecycleListener.xml,
 OSGI-INF/com.liferay.object.internal.instance.lifecycle.SystemObjectD
 efinitionManagerPortalInstanceLifecycleListener.xml,OSGI-INF/com.life
 ray.object.internal.model.listener.CompanyModelListener.xml,OSGI-INF/
 com.liferay.object.internal.model.listener.GroupModelListener.xml,OSG
 I-INF/com.liferay.object.internal.model.listener.ListTypeEntryModelLi
 stener.xml,OSGI-INF/com.liferay.object.internal.model.listener.Object
 ActionModelListener.xml,OSGI-INF/com.liferay.object.internal.model.li
 stener.ObjectDefinitionModelListener.xml,OSGI-INF/com.liferay.object.
 internal.model.listener.ObjectEntryModelListener.xml,OSGI-INF/com.lif
 eray.object.internal.model.listener.ObjectFieldModelListener.xml,OSGI
 -INF/com.liferay.object.internal.model.listener.ObjectFieldSettingMod
 elListener.xml,OSGI-INF/com.liferay.object.internal.model.listener.Ob
 jectLayoutBoxModelListener.xml,OSGI-INF/com.liferay.object.internal.m
 odel.listener.ObjectLayoutColumnModelListener.xml,OSGI-INF/com.lifera
 y.object.internal.model.listener.ObjectLayoutModelListener.xml,OSGI-I
 NF/com.liferay.object.internal.model.listener.ObjectLayoutRowModelLis
 tener.xml,OSGI-INF/com.liferay.object.internal.model.listener.ObjectL
 ayoutTabModelListener.xml,OSGI-INF/com.liferay.object.internal.model.
 listener.ObjectRelationshipModelListener.xml,OSGI-INF/com.liferay.obj
 ect.internal.model.listener.ObjectValidationRuleModelListener.xml,OSG
 I-INF/com.liferay.object.internal.model.listener.ObjectViewColumnMode
 lListener.xml,OSGI-INF/com.liferay.object.internal.model.listener.Obj
 ectViewModelListener.xml,OSGI-INF/com.liferay.object.internal.model.l
 istener.ObjectViewSortColumnModelListener.xml,OSGI-INF/com.liferay.ob
 ject.internal.related.models.ObjectRelatedModelsPredicateProviderRegi
 stryImpl.xml,OSGI-INF/com.liferay.object.internal.related.models.Obje
 ctRelatedModelsProviderRegistryImpl.xml,OSGI-INF/com.liferay.object.i
 nternal.rest.context.path.RESTContextPathResolverRegistryImpl.xml,OSG
 I-INF/com.liferay.object.internal.scope.CompanyInstanceObjectScopePro
 viderImpl.xml,OSGI-INF/com.liferay.object.internal.scope.DepotObjectS
 copeProviderImpl.xml,OSGI-INF/com.liferay.object.internal.scope.Objec
 tScopeProviderRegistryImpl.xml,OSGI-INF/com.liferay.object.internal.s
 cope.SiteObjectScopeProviderImpl.xml,OSGI-INF/com.liferay.object.inte
 rnal.search.ObjectActionSearchRegistrar.xml,OSGI-INF/com.liferay.obje
 ct.internal.search.ObjectDefinitionSearchRegistrar.xml,OSGI-INF/com.l
 iferay.object.internal.search.ObjectFieldSearchRegistrar.xml,OSGI-INF
 /com.liferay.object.internal.search.ObjectFolderSearchRegistrar.xml,O
 SGI-INF/com.liferay.object.internal.search.ObjectLayoutSearchRegistra
 r.xml,OSGI-INF/com.liferay.object.internal.search.ObjectRelationshipS
 earchRegistrar.xml,OSGI-INF/com.liferay.object.internal.search.Object
 ValidationRuleSearchRegistrar.xml,OSGI-INF/com.liferay.object.interna
 l.search.ObjectViewSearchRegistrar.xml,OSGI-INF/com.liferay.object.in
 ternal.search.spi.model.index.contributor.ObjectActionModelDocumentCo
 ntributor.xml,OSGI-INF/com.liferay.object.internal.search.spi.model.i
 ndex.contributor.ObjectActionModelIndexerWriterContributor.xml,OSGI-I
 NF/com.liferay.object.internal.search.spi.model.index.contributor.Obj
 ectDefinitionModelDocumentContributor.xml,OSGI-INF/com.liferay.object
 .internal.search.spi.model.index.contributor.ObjectDefinitionModelInd
 exerWriterContributor.xml,OSGI-INF/com.liferay.object.internal.search
 .spi.model.index.contributor.ObjectEntryDocumentContributor.xml,OSGI-
 INF/com.liferay.object.internal.search.spi.model.index.contributor.Ob
 jectFieldModelDocumentContributor.xml,OSGI-INF/com.liferay.object.int
 ernal.search.spi.model.index.contributor.ObjectFieldModelIndexerWrite
 rContributor.xml,OSGI-INF/com.liferay.object.internal.search.spi.mode
 l.index.contributor.ObjectFolderModelDocumentContributor.xml,OSGI-INF
 /com.liferay.object.internal.search.spi.model.index.contributor.Objec
 tFolderModelIndexerWriterContributor.xml,OSGI-INF/com.liferay.object.
 internal.search.spi.model.index.contributor.ObjectLayoutModelDocument
 Contributor.xml,OSGI-INF/com.liferay.object.internal.search.spi.model
 .index.contributor.ObjectLayoutModelIndexerWriterContributor.xml,OSGI
 -INF/com.liferay.object.internal.search.spi.model.index.contributor.O
 bjectRelationshipModelDocumentContributor.xml,OSGI-INF/com.liferay.ob
 ject.internal.search.spi.model.index.contributor.ObjectRelationshipMo
 delIndexerWriterContributor.xml,OSGI-INF/com.liferay.object.internal.
 search.spi.model.index.contributor.ObjectValidationRuleModelDocumentC
 ontributor.xml,OSGI-INF/com.liferay.object.internal.search.spi.model.
 index.contributor.ObjectValidationRuleModelIndexerWriterContributor.x
 ml,OSGI-INF/com.liferay.object.internal.search.spi.model.index.contri
 butor.ObjectViewModelDocumentContributor.xml,OSGI-INF/com.liferay.obj
 ect.internal.search.spi.model.index.contributor.ObjectViewModelIndexe
 rWriterContributor.xml,OSGI-INF/com.liferay.object.internal.search.sp
 i.model.query.contributor.ObjectActionKeywordQueryContributor.xml,OSG
 I-INF/com.liferay.object.internal.search.spi.model.query.contributor.
 ObjectActionModelPreFilterContributor.xml,OSGI-INF/com.liferay.object
 .internal.search.spi.model.query.contributor.ObjectDefinitionKeywordQ
 ueryContributor.xml,OSGI-INF/com.liferay.object.internal.search.spi.m
 odel.query.contributor.ObjectFieldKeywordQueryContributor.xml,OSGI-IN
 F/com.liferay.object.internal.search.spi.model.query.contributor.Obje
 ctFieldModelPreFilterContributor.xml,OSGI-INF/com.liferay.object.inte
 rnal.search.spi.model.query.contributor.ObjectFolderKeywordQueryContr
 ibutor.xml,OSGI-INF/com.liferay.object.internal.search.spi.model.quer
 y.contributor.ObjectLayoutKeywordQueryContributor.xml,OSGI-INF/com.li
 feray.object.internal.search.spi.model.query.contributor.ObjectLayout
 ModelPreFilterContributor.xml,OSGI-INF/com.liferay.object.internal.se
 arch.spi.model.query.contributor.ObjectRelationshipKeywordQueryContri
 butor.xml,OSGI-INF/com.liferay.object.internal.search.spi.model.query
 .contributor.ObjectRelationshipModelPreFilterContributor.xml,OSGI-INF
 /com.liferay.object.internal.search.spi.model.query.contributor.Objec
 tValidationRuleKeywordQueryContributor.xml,OSGI-INF/com.liferay.objec
 t.internal.search.spi.model.query.contributor.ObjectValidationRuleMod
 elPreFilterContributor.xml,OSGI-INF/com.liferay.object.internal.searc
 h.spi.model.query.contributor.ObjectViewKeywordQueryContributor.xml,O
 SGI-INF/com.liferay.object.internal.search.spi.model.query.contributo
 r.ObjectViewModelPreFilterContributor.xml,OSGI-INF/com.liferay.object
 .internal.search.spi.settings.ObjectIndexSettingsContributor.xml,OSGI
 -INF/com.liferay.object.internal.security.permission.resource.ObjectD
 efinitionModelResourcePermission.xml,OSGI-INF/com.liferay.object.inte
 rnal.security.permission.resource.ObjectFolderModelResourcePermission
 .xml,OSGI-INF/com.liferay.object.internal.security.permission.resourc
 e.ObjectPortletResourcePermissionWrapper.xml,OSGI-INF/com.liferay.obj
 ect.internal.system.AddressSystemObjectDefinitionManager.xml,OSGI-INF
 /com.liferay.object.internal.system.SystemObjectDefinitionManagerRegi
 stryImpl.xml,OSGI-INF/com.liferay.object.internal.system.SystemObject
 DefinitionManagerServiceTrackerCustomizer.xml,OSGI-INF/com.liferay.ob
 ject.internal.system.UserSystemObjectDefinitionManager.xml,OSGI-INF/c
 om.liferay.object.internal.upgrade.registry.ObjectServiceUpgradeStepR
 egistrator.xml,OSGI-INF/com.liferay.object.internal.validation.rule.D
 DMObjectValidationRuleEngineImpl.xml,OSGI-INF/com.liferay.object.inte
 rnal.validation.rule.FunctionObjectValidationRuleEngineImpl.xml,OSGI-
 INF/com.liferay.object.internal.validation.rule.FunctionObjectValidat
 ionRuleEngineImplFactory.xml,OSGI-INF/com.liferay.object.internal.val
 idation.rule.GroovyObjectValidationRuleEngineImpl.xml,OSGI-INF/com.li
 feray.object.internal.validation.rule.ObjectValidationRuleEngineRegis
 tryImpl.xml,OSGI-INF/com.liferay.object.service.impl.ObjectActionLoca
 lServiceImpl.xml,OSGI-INF/com.liferay.object.service.impl.ObjectActio
 nServiceImpl.xml,OSGI-INF/com.liferay.object.service.impl.ObjectDefin
 itionLocalServiceImpl.xml,OSGI-INF/com.liferay.object.service.impl.Ob
 jectDefinitionServiceImpl.xml,OSGI-INF/com.liferay.object.service.imp
 l.ObjectEntryLocalServiceImpl.xml,OSGI-INF/com.liferay.object.service
 .impl.ObjectEntryServiceImpl.xml,OSGI-INF/com.liferay.object.service.
 impl.ObjectFieldLocalServiceImpl.xml,OSGI-INF/com.liferay.object.serv
 ice.impl.ObjectFieldServiceImpl.xml,OSGI-INF/com.liferay.object.servi
 ce.impl.ObjectFieldSettingLocalServiceImpl.xml,OSGI-INF/com.liferay.o
 bject.service.impl.ObjectFilterLocalServiceImpl.xml,OSGI-INF/com.life
 ray.object.service.impl.ObjectFolderLocalServiceImpl.xml,OSGI-INF/com
 .liferay.object.service.impl.ObjectFolderServiceImpl.xml,OSGI-INF/com
 .liferay.object.service.impl.ObjectLayoutLocalServiceImpl.xml,OSGI-IN
 F/com.liferay.object.service.impl.ObjectLayoutServiceImpl.xml,OSGI-IN
 F/com.liferay.object.service.impl.ObjectLayoutTabLocalServiceImpl.xml
 ,OSGI-INF/com.liferay.object.service.impl.ObjectLayoutTabServiceImpl.
 xml,OSGI-INF/com.liferay.object.service.impl.ObjectRelationshipLocalS
 erviceImpl.xml,OSGI-INF/com.liferay.object.service.impl.ObjectRelatio
 nshipServiceImpl.xml,OSGI-INF/com.liferay.object.service.impl.ObjectS
 tateFlowLocalServiceImpl.xml,OSGI-INF/com.liferay.object.service.impl
 .ObjectStateLocalServiceImpl.xml,OSGI-INF/com.liferay.object.service.
 impl.ObjectStateTransitionLocalServiceImpl.xml,OSGI-INF/com.liferay.o
 bject.service.impl.ObjectValidationRuleLocalServiceImpl.xml,OSGI-INF/
 com.liferay.object.service.impl.ObjectValidationRuleServiceImpl.xml,O
 SGI-INF/com.liferay.object.service.impl.ObjectValidationRuleSettingLo
 calServiceImpl.xml,OSGI-INF/com.liferay.object.service.impl.ObjectVie
 wColumnServiceImpl.xml,OSGI-INF/com.liferay.object.service.impl.Objec
 tViewFilterColumnLocalServiceImpl.xml,OSGI-INF/com.liferay.object.ser
 vice.impl.ObjectViewLocalServiceImpl.xml,OSGI-INF/com.liferay.object.
 service.impl.ObjectViewServiceImpl.xml,OSGI-INF/com.liferay.object.se
 rvice.persistence.impl.ObjectActionModelArgumentsResolver.xml,OSGI-IN
 F/com.liferay.object.service.persistence.impl.ObjectActionPersistence
 Impl.xml,OSGI-INF/com.liferay.object.service.persistence.impl.ObjectD
 efinitionModelArgumentsResolver.xml,OSGI-INF/com.liferay.object.servi
 ce.persistence.impl.ObjectDefinitionPersistenceImpl.xml,OSGI-INF/com.
 liferay.object.service.persistence.impl.ObjectEntryModelArgumentsReso
 lver.xml,OSGI-INF/com.liferay.object.service.persistence.impl.ObjectE
 ntryPersistenceImpl.xml,OSGI-INF/com.liferay.object.service.persisten
 ce.impl.ObjectFieldModelArgumentsResolver.xml,OSGI-INF/com.liferay.ob
 ject.service.persistence.impl.ObjectFieldPersistenceImpl.xml,OSGI-INF
 /com.liferay.object.service.persistence.impl.ObjectFieldSettingModelA
 rgumentsResolver.xml,OSGI-INF/com.liferay.object.service.persistence.
 impl.ObjectFieldSettingPersistenceImpl.xml,OSGI-INF/com.liferay.objec
 t.service.persistence.impl.ObjectFilterModelArgumentsResolver.xml,OSG
 I-INF/com.liferay.object.service.persistence.impl.ObjectFilterPersist
 enceImpl.xml,OSGI-INF/com.liferay.object.service.persistence.impl.Obj
 ectFolderModelArgumentsResolver.xml,OSGI-INF/com.liferay.object.servi
 ce.persistence.impl.ObjectFolderPersistenceImpl.xml,OSGI-INF/com.life
 ray.object.service.persistence.impl.ObjectLayoutBoxModelArgumentsReso
 lver.xml,OSGI-INF/com.liferay.object.service.persistence.impl.ObjectL
 ayoutBoxPersistenceImpl.xml,OSGI-INF/com.liferay.object.service.persi
 stence.impl.ObjectLayoutColumnModelArgumentsResolver.xml,OSGI-INF/com
 .liferay.object.service.persistence.impl.ObjectLayoutColumnPersistenc
 eImpl.xml,OSGI-INF/com.liferay.object.service.persistence.impl.Object
 LayoutModelArgumentsResolver.xml,OSGI-INF/com.liferay.object.service.
 persistence.impl.ObjectLayoutPersistenceImpl.xml,OSGI-INF/com.liferay
 .object.service.persistence.impl.ObjectLayoutRowModelArgumentsResolve
 r.xml,OSGI-INF/com.liferay.object.service.persistence.impl.ObjectLayo
 utRowPersistenceImpl.xml,OSGI-INF/com.liferay.object.service.persiste
 nce.impl.ObjectLayoutTabModelArgumentsResolver.xml,OSGI-INF/com.lifer
 ay.object.service.persistence.impl.ObjectLayoutTabPersistenceImpl.xml
 ,OSGI-INF/com.liferay.object.service.persistence.impl.ObjectRelations
 hipModelArgumentsResolver.xml,OSGI-INF/com.liferay.object.service.per
 sistence.impl.ObjectRelationshipPersistenceImpl.xml,OSGI-INF/com.life
 ray.object.service.persistence.impl.ObjectStateFlowModelArgumentsReso
 lver.xml,OSGI-INF/com.liferay.object.service.persistence.impl.ObjectS
 tateFlowPersistenceImpl.xml,OSGI-INF/com.liferay.object.service.persi
 stence.impl.ObjectStateModelArgumentsResolver.xml,OSGI-INF/com.lifera
 y.object.service.persistence.impl.ObjectStatePersistenceImpl.xml,OSGI
 -INF/com.liferay.object.service.persistence.impl.ObjectStateTransitio
 nModelArgumentsResolver.xml,OSGI-INF/com.liferay.object.service.persi
 stence.impl.ObjectStateTransitionPersistenceImpl.xml,OSGI-INF/com.lif
 eray.object.service.persistence.impl.ObjectValidationRuleModelArgumen
 tsResolver.xml,OSGI-INF/com.liferay.object.service.persistence.impl.O
 bjectValidationRulePersistenceImpl.xml,OSGI-INF/com.liferay.object.se
 rvice.persistence.impl.ObjectValidationRuleSettingModelArgumentsResol
 ver.xml,OSGI-INF/com.liferay.object.service.persistence.impl.ObjectVa
 lidationRuleSettingPersistenceImpl.xml,OSGI-INF/com.liferay.object.se
 rvice.persistence.impl.ObjectViewColumnModelArgumentsResolver.xml,OSG
 I-INF/com.liferay.object.service.persistence.impl.ObjectViewColumnPer
 sistenceImpl.xml,OSGI-INF/com.liferay.object.service.persistence.impl
 .ObjectViewFilterColumnModelArgumentsResolver.xml,OSGI-INF/com.lifera
 y.object.service.persistence.impl.ObjectViewFilterColumnPersistenceIm
 pl.xml,OSGI-INF/com.liferay.object.service.persistence.impl.ObjectVie
 wModelArgumentsResolver.xml,OSGI-INF/com.liferay.object.service.persi
 stence.impl.ObjectViewPersistenceImpl.xml,OSGI-INF/com.liferay.object
 .service.persistence.impl.ObjectViewSortColumnModelArgumentsResolver.
 xml,OSGI-INF/com.liferay.object.service.persistence.impl.ObjectViewSo
 rtColumnPersistenceImpl.xml
Tool: Bnd-5.3.0.202102221516

